package com.bcxin.ins.third.build.yangguang.util;

/**
 * Created by Apple on 2017/7/20.
 */

public class ServicebusNotSeeFeePayClient {

    //支付宝
    public static void main(String[] args) {
        String url = "http://testservicebus.sinosig.com/WebContent/PayWithForNotSeeFeeEncrypt.action?";
        try {
            //固定
            String serverName = Base64Util.encode("BXBHW", Base64Util.CHARSET_UTF8);
            //固定
            String requestMethod = Base64Util.encode("BXBHW", Base64Util.CHARSET_UTF8);
            String proposalNo = Base64Util.encode("TV5N2213201700358857", Base64Util.CHARSET_UTF8);
            //固定
            String sysflag = Base64Util.encode("BXBHW", Base64Util.CHARSET_UTF8);
            //固定
            String transCode = Base64Util.encode("SV000332", Base64Util.CHARSET_UTF8);
            String sumPremium = Base64Util.encode("1.00", Base64Util.CHARSET_UTF8);
            //不填
            String pageFlag = Base64Util.encode("", Base64Util.CHARSET_UTF8);
            //固定
            String payType = Base64Util.encode("ZFB", Base64Util.CHARSET_UTF8);
            url = url+"serverName="+serverName+"&requestMethod="+requestMethod+"&proposalNo="+proposalNo+"&sysflag="+sysflag
                    +"&transCode="+transCode+"&sumPremium="+sumPremium+"&pageFlag="+pageFlag+"&payType="+payType;
        } catch (Exception e) {
            e.printStackTrace();
        }
        System.out.println(url);
    }

}
